Bug 770034 - Review Request: drupal7-rules - It allows site administrators to define conditionally executed actions
Review Request: drupal7-rules - It allows site administrators to define condi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Dodson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-12-23 01:05 EST by Peter Borsa
Modified: 2012-01-15 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version: drupal7-rules-2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-27 15:34:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sdodson: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2011-12-23 01:05:23 EST
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal7-rules.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal7-rules-2.0-1.fc16.src.rpm
Description: The rules modules allows site administrators to define conditionally executed
actions based on occurring events (known as reactive or ECA rules).
It's a replacement with more features for the trigger module in core
and the successor of the Drupal 5 workflow-ng module.

rpmlint output:

$ rpmlint drupal7-rules.spec ../SRPMS/drupal7-rules-2.0-1.fc16.src.rpm ../RPMS/noarch/drupal7-rules-2.0-1.fc16.noarch.rpm 
drupal7-rules.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
drupal7-rules.src: W: spelling-error %description -l en_US ng -> mg, n, g
drupal7-rules.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
drupal7-rules.noarch: W: spelling-error %description -l en_US ng -> mg, n, g
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

koji output:


Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3602593
Watching tasks (this may be safely interrupted)...
3602593 build (f16, drupal7-rules-2.0-1.fc16.src.rpm): free
3602593 build (f16, drupal7-rules-2.0-1.fc16.src.rpm): free -> open (x86-14.phx2.fedoraproject.org)
  3602594 buildArch (drupal7-rules-2.0-1.fc16.src.rpm, noarch): open (x86-17.phx2.fedoraproject.org)
  3602594 buildArch (drupal7-rules-2.0-1.fc16.src.rpm, noarch): open (x86-17.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
3602593 build (f16, drupal7-rules-2.0-1.fc16.src.rpm): open (x86-14.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

3602593 build (f16, drupal7-rules-2.0-1.fc16.src.rpm) completed successfully
Comment 1 Scott Dodson 2011-12-26 19:53:00 EST
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint drupal7-rules.spec ../SRPMS/drupal7-rules-2.0-1.fc16.src.rpm ../RPMS/noarch/drupal7-rules-2.0-1.fc16.noarch.rpm 
drupal7-rules.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
drupal7-rules.src: W: spelling-error %description -l en_US ng -> mg, n, g
drupal7-rules.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
drupal7-rules.noarch: W: spelling-error %description -l en_US ng -> mg, n, g
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum ../SOURCES/rules-7.x-2.0.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/rules-7.x-2.0.tar.gz | md5sum
efe3f31a4d21b9fa8757cd692dc8f641  ../SOURCES/rules-7.x-2.0.tar.gz
efe3f31a4d21b9fa8757cd692dc8f641  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ N/A ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ O K ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ O K ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.


** APPROVED.

I'm also willing to co-maintain this package.
Comment 2 Peter Borsa 2011-12-27 08:20:52 EST
New Package SCM Request
=======================
Package Name: drupal7-rules
Short Description: It allows site administrators to define conditionally executed actions
Owners: asrob sdodson 
Branches: f15 f16 el5 el6
InitialCC:
Comment 3 Jon Ciesla 2011-12-27 11:35:59 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-12-27 15:01:10 EST
drupal7-rules-2.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-rules-2.0-1.fc15
Comment 5 Fedora Update System 2011-12-27 15:20:23 EST
drupal7-rules-2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-rules-2.0-1.fc16
Comment 6 Fedora Update System 2011-12-27 15:26:27 EST
drupal7-rules-2.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-rules-2.0-1.el5
Comment 7 Fedora Update System 2011-12-27 15:33:06 EST
drupal7-rules-2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-rules-2.0-1.el6
Comment 8 Fedora Update System 2012-01-11 01:01:15 EST
drupal7-rules-2.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2012-01-11 01:12:39 EST
drupal7-rules-2.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-01-15 18:25:26 EST
drupal7-rules-2.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 11 Fedora Update System 2012-01-15 18:26:36 EST
drupal7-rules-2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.